Bug 485178 - Review Request: ruby-dbus -- Ruby D-Bus client
Review Request: ruby-dbus -- Ruby D-Bus client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Victor Bogado
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 00:03 EST by Michael Stahnke
Modified: 2010-11-17 14:58 EST (History)
4 users (show)

See Also:
Fixed In Version: ruby-dbus-0.3.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 12:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bogado: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2009-02-12 00:03:04 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/ruby-dbus.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/ruby-dbus-0.2.1-1.fc9.src.rpm
Description: Ruby DBUS communication client.
Comment 1 Victor Bogado 2009-11-01 05:48:49 EST
rpmlint gave no warnings.

according to https://fedoraproject.org/wiki/Packaging/Ruby : 

- naming is correct        ok

- ruby library provide ruby(dbus) = 0.2.1, you should consider putting %{version} instead, this way you don't risk a new updated package providing a incorrect version.                   not ok

- pure ruby is noarch.     ok

- Files on ruby_sitelib.   ok
Comment 2 Victor Bogado 2009-11-01 07:00:25 EST
from https://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

OK           *  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

$ rpmlint '/home/bogado/Download/ruby-dbus-0.2.1-1.fc9.src.rpm' 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/bogado/Download/ruby-dbus-0.2.1-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK            * MUST: The package must be named according to the Package Naming Guidelines.

The name is correct according to more strict rules for ruby packaging.

OK            * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

OK            * MUST: The package must meet the Packaging Guidelines .
OK            * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK            * MUST: The License field in the package spec file must match the actual license. [3]
OK            * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK            * MUST: The spec file must be written in American English. [5]
OK            * MUST: The spec file for the package MUST be legible. [6]
+/-           * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

There is a newer upstream version 0.2.10

OK             * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

NOT APPLY      * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

OK             * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

NOT APPLY      * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

NOT APPLY      * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

OK             * MUST: Packages must NOT bundle copies of system libraries.[11]

NOT APPLY      * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

OK             * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

OK             * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]

OK             * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]

OK             * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]

NOT OK         * MUST: Each package must consistently use macros. [17]
see the previous comment, you used the hard coded version instead of %{version}

OK             * MUST: The package must contain code, or permissable content. [18]

NO APPLY       * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]

OK             * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]

NOT APPLY      * MUST: Header files must be in a -devel package. [20]

NOT APPLY      * MUST: Static libraries must be in a -static package. [21]

NOT APPLY      * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]

NOT APPLY      * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]

NOT APPLY      * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [23]

NOT APPLY      * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]

NOT APPLY      * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24]

NOT APPLY      * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]

OK             * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]

OK             * MUST: All filenames in rpm packages must be valid UTF-8. [27]

---

in short : check the %{version} thing and optionally update to the last upstream version and all should be fine.
Comment 3 Victor Bogado 2009-11-01 07:01:11 EST
Just for information I made a scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=1780928
Comment 4 Thomas Spura 2010-01-15 15:20:00 EST
What's the state on this?

I guess Vicor does the review:
Please assign this to you and set the review flag to '?'.

Nothing heard from the submitter since close a year.

Michael, do you still want to package this?


If still no answer from Michael, I'll close this soon.
(Also unresponsive in IRC (at least for today/last hour).)
Comment 5 Victor Bogado 2010-01-18 06:09:51 EST
(In reply to comment #4)
> What's the state on this?
> 
> I guess Vicor does the review:
> Please assign this to you and set the review flag to '?'.
> 
> Nothing heard from the submitter since close a year.
> 
> Michael, do you still want to package this?
> 
> 
> If still no answer from Michael, I'll close this soon.
> (Also unresponsive in IRC (at least for today/last hour).)    

I did the review because I was interest in this package, if the original packager is in fact uninterested, I could adopt it but then I guess I would need another reviewer, wouldn't I? I'm not sure what are the rules in this case. :P
Comment 6 Thomas Spura 2010-01-18 10:13:52 EST
(In reply to comment #5)
> [...] if the original
> packager is in fact uninterested, I could adopt it but then I guess I would
> need another reviewer, wouldn't I? I'm not sure what are the rules in this
> case. :P    

Yes, you can't review your own package ;)

Wait a week or two, maybe Michael will response, if he doesn't you need to open your own review request and close this one as dublicate of the new one.


e.g. what you could still improve:

- https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

- Provides:       ruby(dbus) = %{version} would be more general
Comment 7 Victor Bogado 2010-01-18 11:09:33 EST
** off topic **

(In reply to comment #6)
> Yes, you can't review your own package ;)
> 
> Wait a week or two, maybe Michael will response, if he doesn't you need to open
> your own review request and close this one as dublicate of the new one.
> 
> 
> e.g. what you could still improve:
> 
> -
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
> 
> - Provides:       ruby(dbus) = %{version} would be more general    

I use the review guideline page to "guide" my way both when I review and when I package. I guess that this check point should be putted there to make things easier.

Also this problem should probably be also reported to the 'rubygem-gem2rpm.noarch' tool that has defines in the default spec template.
Comment 8 Michael Stahnke 2010-02-02 18:32:47 EST
Very sorry this fell off my radar.  I had an over aggressive filter in my email. I will look at this later tonight.
Comment 9 Michael Stahnke 2010-02-02 21:38:38 EST
Updated with new %{version} setup in spec file and rebased on latest upstream. 

SRPM: http://stahnma.fedorapeople.org/reviews/ruby-dbus-0.2.12-1.fc12.src.rpm
SPEC: http://stahnma.fedorapeople.org/reviews/ruby-dbus.spec
Comment 10 Victor Bogado 2010-02-11 07:39:40 EST
You should also take a look in the problem with %global vs %define issue that Thomas Spura pointed out in comment #6.
Comment 11 Thomas Spura 2010-03-30 11:49:49 EDT
(In reply to comment #8)
> Very sorry this fell off my radar.  I had an over aggressive filter in my
> email. I will look at this later tonight.    

Is your radar broken again? ;)
(ping...)
Comment 12 Michael Stahnke 2010-03-31 16:45:23 EDT
Thanks for the ping.  Apparently I am not so good at keeping track of my bugzillas. 

http://stahnma.fedorapeople.org/reviews/ruby-dbus-0.3.0-1.fc12.src.rpm
http://stahnma.fedorapeople.org/reviews/ruby-dbus.spec
Comment 13 Michael Stahnke 2010-04-12 09:50:11 EDT
Ping?
Comment 14 Victor Bogado 2010-04-12 19:13:37 EDT
It looks fine for me, this request is aproved. :-)
Comment 15 Michael Stahnke 2010-04-12 21:19:03 EDT
New Package CVS Request
=======================
Package Name: ruby-dbus
Short Description: Ruby D-Bus client
Owners: stahnma
Branches: EL5, F12, F13
InitialCC:
Comment 16 Kevin Fenzi 2010-04-14 00:36:24 EDT
CVS done (by process-cvs-requests.py).
Comment 17 Fedora Update System 2010-04-14 13:33:49 EDT
ruby-dbus-0.3.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.fc12
Comment 18 Fedora Update System 2010-04-14 13:33:55 EDT
ruby-dbus-0.3.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.fc13
Comment 19 Fedora Update System 2010-04-14 13:34:00 EDT
ruby-dbus-0.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.el5
Comment 20 Fedora Update System 2010-04-15 11:49:34 EDT
ruby-dbus-0.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-dbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.el5
Comment 21 Fedora Update System 2010-04-16 19:36:56 EDT
ruby-dbus-0.3.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-dbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.fc13
Comment 22 Fedora Update System 2010-04-16 19:50:55 EDT
ruby-dbus-0.3.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-dbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-dbus-0.3.0-1.fc12
Comment 23 Fedora Update System 2010-04-29 12:40:45 EDT
ruby-dbus-0.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-04-30 13:21:49 EDT
ruby-dbus-0.3.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.